Subject: [MMUSIC] Does RFC3264 allow different ptime for different audio codec's for the same media type?

From: "Jigar Dani" <[email-masked]>
Date: Wed, 19 Mar 2008 14:20:26 -0400

Hello, 

I am dealing with this issue where my code is generating multiple media
descriptors for different ptime values.  Here is the SDP:

v=0

o=Intel_IPCCLib 81281424 81281425 IN IP4 146.152.124.26

s=Intel_SIP_CCLLIB

i=session information

c=IN IP4 xxx.xxx.xxx.xxx

t=0 0

m=audio x RTP/AVP 18

a=rtpmap:18 G729/8000

a=fmtp:18 annexb=yes

a=ptime:30

a=recvonly

m=audio x RTP/AVP 8

a=ptime:20

Is this allowed/legal?

Interestingly I found the same article on another mailing list:
https://lists.cs.columbia.edu/pipermail/sip-implementors/2004-November/0
07606.html

Thanks & Regards,

Jigar

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic

---

From: <[email-masked]>
Date: Thu, 20 Mar 2008 16:18:31 +0100

Hi
a=ptime is a media-level attribute so your SDP is legal

________________________________

	De : [email-masked] [mailto:[email-masked]] De la part de Jigar Dani
	Envoyé : mercredi 19 mars 2008 19:20
	À : [email-masked]
	Objet : [MMUSIC] Does RFC3264 allow different ptime for different audiocodec's for the same media type?

	Hello, 

	I am dealing with this issue where my code is generating multiple media descriptors for different ptime values.  Here is the SDP:

	v=0

	s=Intel_SIP_CCLLIB

	i=session information

	c=IN IP4 xxx.xxx.xxx.xxx

	t=0 0

	m=audio x RTP/AVP 18

	a=rtpmap:18 G729/8000

	a=fmtp:18 annexb=yes

	a=ptime:30

	a=recvonly

	m=audio x RTP/AVP 8

	a=ptime:20

	Is this allowed/legal?

	Interestingly I found the same article on another mailing list: https://lists.cs.columbia.edu/pipermail/sip-implementors/2004-November/007606.html

	Thanks & Regards,

	Jigar

---

From: "Jigar Dani" <[email-masked]>
Date: Thu, 20 Mar 2008 11:22:45 -0400

Thanks for the reply. Umm.. I guess there are no strict defined rules on the ptime attribute, however, would this not cause inter-op issues? With some vendors allowing it and some not. Is there a standard? I see there were some works in progress, however I do not what is the current state of these. Some interesting reads:

http://www.ietf.org/mail-archive/web/mmusic/current/pptMJVtAcUOnh.ppt#256,1,draft-xu-mmusic-sdp-codec-param-00

http://www.ietf.org/mail-archive/web/mmusic/current/msg06439.html

Thanks
- Jigar
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, March 20, 2008 11:19 AM
To: Jigar Dani; [email-masked]
Subject: RE: [MMUSIC] Does RFC3264 allow different ptime for different audiocodec's for the same media type?

Hi

	Hello, 

	v=0

	s=Intel_SIP_CCLLIB

	i=session information

	c=IN IP4 xxx.xxx.xxx.xxx

	t=0 0

	m=audio x RTP/AVP 18

	a=rtpmap:18 G729/8000

	a=fmtp:18 annexb=yes

	a=ptime:30

	a=recvonly

	m=audio x RTP/AVP 8

	a=ptime:20

	Is this allowed/legal?

	Thanks & Regards,

	Jigar

---

From: "Even, Roni" <[email-masked]>
Date: Thu, 20 Mar 2008 17:30:10 +0200

Hi,
The SDP is legal as long as both m-lines has a different port which you marked as x
As for relevant work that will enable you to specify different ptime you may look at the capability negotiation work in mmusic
Roni Even 

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of [email-masked]
> Sent: Thursday, March 20, 2008 5:19 PM
> To: [email-masked]; [email-masked]
> Subject: Re: [MMUSIC] Does RFC3264 allow different ptime for
> differentaudiocodec's for the same media type?
> 
> Hi
> 	I am dealing with this issue where my code is generating multiple
> media descriptors for different ptime values.  Here is the SDP:
> 
> 
> 
> 	v=0
> 
> https://lists.cs.columbia.edu/pipermail/sip-implementors/2004-
> November/007606.html
> 
> 
> 
> 	Thanks & Regards,
> 
> 	Jigar
> 
> 
>

---

From: "Jigar Dani" <[email-masked]>
Date: Thu, 20 Mar 2008 11:31:45 -0400

Thanks for the reply Roni.

In my case both the ports are going to be same. I have browsed through RFC 2327 and 3264, but haven't seen any specific rules for this. 

Thanks
- Jigar

-----Original Message-----
From: Even, Roni [mailto:[email-masked]] 
Sent: Thursday, March 20, 2008 11:30 AM
To: [email-masked]; Jigar Dani; [email-masked]
Subject: RE: [MMUSIC] Does RFC3264 allow different ptime for differentaudiocodec's for the same media type?

Hi,

---

From: "Willekens, Marc (EXT-Other - BE/Herentals)" <[email-masked]>
Date: Thu, 20 Mar 2008 16:42:36 +0100

Hi Jigar,
The ptime is indeed a problem area with many different interpretations.
I've tried to collect it in the draft:
http://www.ietf.org/internet-drafts/draft-garcia-mmusic-multiple-ptimes-problem-02.txt 

br,
Marc.
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Jigar Dani
Sent: donderdag 20 maart 2008 16:32
To: Even, Roni; [email-masked]; [email-masked]
Subject: Re: [MMUSIC] Does RFC3264 allow different ptime fordifferentaudiocodec's for the same media type?

Thanks
- Jigar

-----Original Message-----
From: Even, Roni [mailto:[email-masked]] 
Sent: Thursday, March 20, 2008 11:30 AM
To: [email-masked]; Jigar Dani; [email-masked]
Subject: RE: [MMUSIC] Does RFC3264 allow different ptime for differentaudiocodec's for the same media type?

Hi,

---

From: "Jigar Dani" <[email-masked]>
Date: Thu, 20 Mar 2008 12:06:59 -0400

Great. Thanks.

I browsed through all the methods you have listed, couple seem obvious and couple seem interesting. I am yet to browse through your proposal. I will go over it this weekend. Hopefully pin down on a solution. :)  

Thanks
- Jigar

-----Original Message-----
From: Willekens, Marc (EXT-Other - BE/Herentals) [mailto:[email-masked]] 
Sent: Thursday, March 20, 2008 11:43 AM
To: Jigar Dani; Even, Roni; [email-masked]; [email-masked]
Subject: RE: [MMUSIC] Does RFC3264 allow different ptime fordifferentaudiocodec's for the same media type?

Hi Jigar,

br,
Marc.
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Jigar Dani
Sent: donderdag 20 maart 2008 16:32
To: Even, Roni; [email-masked]; [email-masked]
Subject: Re: [MMUSIC] Does RFC3264 allow different ptime fordifferentaudiocodec's for the same media type?

Thanks
- Jigar

-----Original Message-----
From: Even, Roni [mailto:[email-masked]] 
Sent: Thursday, March 20, 2008 11:30 AM
To: [email-masked]; Jigar Dani; [email-masked]
Subject: RE: [MMUSIC] Does RFC3264 allow different ptime for differentaudiocodec's for the same media type?

Hi,

---

From: <[email-masked]>
Date: Thu, 20 Mar 2008 17:42:03 +0100

RFC 2327 is obsolete, you should have a look at RFC 4566

Section 5.14 says:

      The semantics of multiple "m=" lines using the same transport
      address are undefined.  This implies that, unlike limited past
      practice, there is no implicit grouping defined by such means and
      an explicit grouping framework (for example, [18]) should instead
      be used to express the intended semantics. 

So if you use the same port for your 2 "m=" lines, the SDP is undefined
 (same IP address + same port = same transport address)

Aurelien

> -----Message d'origine-----
> De : Jigar Dani [mailto:[email-masked]] 
> Envoyé : jeudi 20 mars 2008 16:32
> À : Even, Roni; SOLLAUD Aurelien RD-TECH-LAN; [email-masked]
> Objet : RE: [MMUSIC] Does RFC3264 allow different ptime for 
> In my case both the ports are going to be same. I have 
> browsed through RFC 2327 and 3264, but haven't seen any 
> specific rules for this. 
> 
> Thanks
> - Jigar
> 
> Subject: RE: [MMUSIC] Does RFC3264 allow different ptime for 
> The SDP is legal as long as both m-lines has a different port 
> which you marked as x As for relevant work that will enable 
> you to specify different ptime you may look at the capability 
> negotiation work in mmusic Roni Even 
> 
> > From: [email-masked] [mailto:[email-masked]] On 
> > Behalf Of [email-masked]
> > 	De : [email-masked] 
> [mailto:[email-masked]] De la 
> > part de Jigar Dani
> > 	Objet : [MMUSIC] Does RFC3264 allow different ptime for 
> different

---

From: "Jigar Dani" <[email-masked]>
Date: Thu, 20 Mar 2008 12:53:49 -0400

That surely helps. Thanks Aurelien and everyone. 

I have been reading through the ID: http://www.ietf.org/internet-drafts/draft-garcia-mmusic-multiple-ptimes-problem-02.txt

At the same time trying to find what the real world current implementation of this is. I guess unless we have an agreed standard, there will be inter-op issues. Effort is to reduce these issues, if we decide to support this. 

Thanks
- Jigar

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, March 20, 2008 12:42 PM
To: Jigar Dani; [email-masked]; [email-masked]
Subject: RE: [MMUSIC] Does RFC3264 allow different ptime for differentaudiocodec's for the same media type?

Section 5.14 says:

Aurelien